Jump to content


Photo

Bugs / Errors Reporting with M4-78EP (1.3)


  • Please log in to reply
7 replies to this topic

#1 Sith Holocron

Sith Holocron

    M4-78

  • Administrators
  • 3,806 posts
  • LocationKodiak, AK (Hoth)

Posted 09 January 2017 - 01:41 PM

Here's the place to report bugs, errors with other mods, etc when using M4-78 EP.
(If you wish to leave a comment about the M4-78 EP that doesn't concern bugs or errors, leave those on the Impressions thread here.)
While there are currently no plans to update M4-78EP any further, if any game breaking bugs are found they obviously will be fixed (and maybe other tiny ones with them), if at all possible. So please don't assume it's automatically a useless thing to report stuff here.

NOTE: Only report issues here if you use the latest version of M4-78!  If you don't have version 1.3, please update to the latest version of the M4-78 Enhancement Project as that very well might resolve your issue. (Read the current version's read me to see if that may be the case.)

When reporting bugs . . . use the following format and include both the questions and the answers to them.

1) During the game, when did the problem begin to occur? (List a general description of the issue.)

2) Did you install the latest version of the mod? (We are only covering issues concerning version 1.3 - the latest edition.)

3) What version of the game do you have? (Steam, GOG, 4CD, or the KotOR Collection?) What region is the game designed for if it's the 4 CD version?

4) Did you update your game as required by your game's region? (Update is required for 4-CD version only. If using a Steam, KOTOR Collection, or GOG version, put down "N/A")

5) Did you use the TSLPatcher, if provided?

6) Were there any errors in the TSLPatcher installation?

7) What other mods have you installed? Please give an accurate list and provide links to each of these mods - even if they are found on this site. (We don't actually know them all!.)

8) Can you be more specific about the error? At what point did it happen? (List a detailed description of the issue.)

9) Have you tried re-downloading the mod?

10) Have you tried using a different save game?

11) Have you tried starting a new game?

12) What Operating System do you use? (List Virtual Machines as well if you are using them.) If you're a Mac user, please note that here as well.

Update: Here are a few extra questions to include as well. All posts (after the one following this one) should include all 16 questions and your answers to them.

13) Can you confirm that you see the TSLRCM logo on the the main menu screen?

14) What language is your game set for?

15) Which language of TSLRCM are you using?

16) Are you playing this on a laptop or a desktop computer?


"Release dates are for those that don't care about quality in mods." - Me
 
Here are my mods. Please rate and leave some feedback if you've liked any of them in your game!

#2 cerberusiv

cerberusiv

    Jedi Apprentice

  • Members
  • PipPip
  • 14 posts

Posted 16 July 2017 - 10:21 AM

1) During the game, when did the problem begin to occur? (List a general description of the issue.)

 

Issue seems to be related to Sithspecter's TSL High Quality Blasters mod.  I'm on my first playthrough with that mod and no issues until I reached M4-78.  Issue is all the repeating blaster rifles carried by the  battle droids on M4-78 are without skins, just solid black or white models.  If I craft a repeating blaster rifle at the workbench and equip it, it has the high quality skin.  It is just the battle droid weapons.  I have previously played through M4-78 1.3 and didn't notice this issue.

 

I only installed the blasters mod in the TSLRCM workshop folder, it won't install in the M4-78 folder (installer says dialog.tlk not found).  I have not tried installing the blasters mod in the game folder, I'm reluctant to do that in case it breaks something, I don't want to have to wipe and reinstall everything just for this.

2) Did you install the latest version of the mod? (We are only covering issues concerning version 1.3 - the latest edition.)

 

Yes.

3) What version of the game do you have? (Steam, GOG, 4CD, or the KotOR Collection?) What region is the game designed for if it's the 4 CD version?

 

Steam.

4) Did you update your game as required by your game's region? (Update is required for 4-CD version only. If using a Steam, KOTOR Collection, or GOG version, put down "N/A")

 

N/A.

5) Did you use the TSLPatcher, if provided?

 

N/A.

6) Were there any errors in the TSLPatcher installation?

 

N/A.

7) What other mods have you installed? Please give an accurate list and provide links to each of these mods - even if they are found on this site. (We don't actually know them all!.)

 

Steam workshop - TSLRCM, M4-78 and workbench crystal attunement B.

 

Others - Deadman's cyber swords and quarterstaff mods, Vao armband drop, Sith troopers to assassins.

 

I have used all these for a while without any issues (including a playthrough with M4-78 1.3).

 

The two new mods I am using are:-

 

High quality blasters - http://deadlystream....ality-blasters/

 

Armoured robes -   http://deadlystream....l-shey-armors/ 

8) Can you be more specific about the error? At what point did it happen? (List a detailed description of the issue.)

 

On encountering battle droids on M4-78.

9) Have you tried re-downloading the mod?

 

N/A.

10) Have you tried using a different save game?

 

Went back to save in Ebon Hawk immediately after landing on M4-78.  Issue still there.

11) Have you tried starting a new game?

 

Not for something this minor.  I will look out to see if this occurs with the M4-78 droids on Citadel station during the Sith attack.

12) What Operating System do you use? (List Virtual Machines as well if you are using them.) If you're a Mac user, please note that here as well.

 

Win 10 64 bit



#3 Fair Strides

Fair Strides

    Aurora Engine Operator

  • Administrators
  • 2,186 posts
  • LocationOregon, USA

Posted 16 July 2017 - 07:41 PM

That is likely because the weapons are part of the droid models but use the same textures as the real weapons. It's been known to be the case before and likely is here as well.


(By the way, if you ever want to ask about one of the quotes, feel free to send me a PM)

 

My personal, made-up quote: "To know is good, but to act is better."

"Words are just words, thoughts thoughts, but actions...actions are progress." - Fair Strides

"Intelligence and respect are all it takes to get along fine. Not a bad trade off, huh?" - EwigD from GameFaqs

"And regarding butchering the language, I have been to the internet. The language is well butchered regularly." - Malkior

 

"You can either live with the lies or die with the truth. Who would rather lie to live than die for telling the truth?" - Fair Strides


#4 cerberusiv

cerberusiv

    Jedi Apprentice

  • Members
  • PipPip
  • 14 posts

Posted 16 July 2017 - 08:16 PM

That is likely because the weapons are part of the droid models but use the same textures as the real weapons. It's been known to be the case before and likely is here as well.

 

Are the weapons used with the droid models all the default repeating blaster rifle?  I'm thinking that if so then copying the blaster mod files for that weapon into the M4-78 override may fix the issue.



#5 Fair Strides

Fair Strides

    Aurora Engine Operator

  • Administrators
  • 2,186 posts
  • LocationOregon, USA

Posted 16 July 2017 - 08:18 PM

Even if they were, that wouldn't be a solution. The way the texture displays on the weapon is a part of the model itself. And the weapons in this case may be part of the droid models and not spawned in by the game when the weapon is equipped.

So the only way to fix that would be to edit the droid models themselves, which has its own issues. So this may be an issue you'll have to live with.


(By the way, if you ever want to ask about one of the quotes, feel free to send me a PM)

 

My personal, made-up quote: "To know is good, but to act is better."

"Words are just words, thoughts thoughts, but actions...actions are progress." - Fair Strides

"Intelligence and respect are all it takes to get along fine. Not a bad trade off, huh?" - EwigD from GameFaqs

"And regarding butchering the language, I have been to the internet. The language is well butchered regularly." - Malkior

 

"You can either live with the lies or die with the truth. Who would rather lie to live than die for telling the truth?" - Fair Strides


#6 cerberusiv

cerberusiv

    Jedi Apprentice

  • Members
  • PipPip
  • 14 posts

Posted 16 July 2017 - 08:24 PM

Thanks.  It is only a minor visual thing, not game breaking so I will just live with it.



#7 Kexikus

Kexikus

    Jedi Master

  • Members
  • PipPipPipPipPip
  • 1,268 posts

Posted 16 July 2017 - 08:32 PM

According to the changelog for the K1 version of this mod, Sithspecter fixed a similar issue there with version 1.1. So it would most likely be possible for him to do the same here, but that's of course completely up to him to decide.



#8 Sith Holocron

Sith Holocron

    M4-78

  • Administrators
  • 3,806 posts
  • LocationKodiak, AK (Hoth)

Posted 17 July 2017 - 04:55 PM

According to the changelog for the K1 version of this mod, Sithspecter fixed a similar issue there with version 1.1. So it would most likely be possible for him to do the same here, but that's of course completely up to him to decide.

I have pointed this exchange out to SS in a PM. Hopefully, we'll hear something soon.
"Release dates are for those that don't care about quality in mods." - Me
 
Here are my mods. Please rate and leave some feedback if you've liked any of them in your game!




1 user(s) are reading this topic

0 members, 1 guests, 0 anonymous users